joshmoto joshmoto - 8 days ago 10
Sass (Sass) Question

codekit 3 update with existing compass project failing to compile sass (scss)

I am aware of the warning that I should move to bourbon or some other css framework that is not compass, due to compass being no longer actively developed. Cool.

But I've just updated from codekit 2 to codekit 3.

I would like to still use an existing/old project and to compile my sass. I hope this is possible. I'm sure i'm not the only one that has see this error since compiling with the update:

Compass: Compiling failed with this error: (null)


I updated to codekit 3, and all my codekit 2 projects were gone. So I just dragged my existing project into codekit 3 and it seems to have imported fine. No warnings, and the codekit compass dialog says compass is installed...

codekit 3 project app screenshot

Theoretically the project seems to have imported just like it would in codekit 2. All my settings from the config.rb are the same and the javascript compile settings have migrated too :-)

The
config.rb
is the same...

require 'compass/import-once/activate'
# Require any additional compass plugins here.

# Set this to the root of your project when deployed:
http_path = "/"
css_dir = "css"
sass_dir = "scss"
images_dir = "img"
javascripts_dir = "scripts"
fonts_dir = "fonts"

output_style = :nested

# To enable relative paths to assets via compass helper functions. Uncomment:
relative_assets = true

line_comments = false
color_output = false

preferred_syntax = :scss


and there is a new
config.codekit
file called
config.codekit3
in my project folder. Sweet :-)

codekit project indexing and config files




OK, this is where it goes wrong for me, I compile my sass
screen.scss
and I get this error in codekit 3...

Compass: Compiling failed with this error: (null)


enter image description here

I had a look at the sass wrapper, config.rb, codekit settings, google and I am at a loss to what to do to fix this error? As the error does not tell me anything.

Can anyone shed some light on this
(null)
error or point me in the right direction.

Many Thanks :-)

Answer

Very dumb, simply re-import your frameworks to code kit. :-)